# Uses of Record Class
org.apache.lucene.facet.sortedset.SortedSetDocValuesReaderState.OrdRange

Packages that use SortedSetDocValuesReaderState.OrdRange
Package
Description
org.apache.lucene.facet.sortedset
Provides faceting capabilities over facets that were indexed with `SortedSetDocValuesFacetField`.

- ## Uses of SortedSetDocValuesReaderState.OrdRange in org.apache.lucene.facet.sortedset

  Methods in org.apache.lucene.facet.sortedset that return SortedSetDocValuesReaderState.OrdRange
  Modifier and Type
  Method
  Description
  `SortedSetDocValuesReaderState.OrdRange`
  DefaultSortedSetDocValuesReaderState.`getOrdRange(String dim)`
  `abstract SortedSetDocValuesReaderState.OrdRange`
  SortedSetDocValuesReaderState.`getOrdRange(String dim)`
  Returns the `SortedSetDocValuesReaderState.OrdRange` for this dimension.
  Methods in org.apache.lucene.facet.sortedset that return types with arguments of type SortedSetDocValuesReaderState.OrdRange
  Modifier and Type
  Method
  Description
  `Map<String,SortedSetDocValuesReaderState.OrdRange>`
  DefaultSortedSetDocValuesReaderState.`getPrefixToOrdRange()`
  `abstract Map<String,SortedSetDocValuesReaderState.OrdRange>`
  SortedSetDocValuesReaderState.`getPrefixToOrdRange()`
  Returns mapping from prefix to `SortedSetDocValuesReaderState.OrdRange`.